# $Revision: 1.26 $, $Date: 2010/10/09 16:16:31 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Math_Stats
Summary:	Math_Stats - Classes to calculate statistical parameters
Summary(pl.UTF-8):	Math_Stats - klasy do obliczania parametrów statystycznych
Name:		php-pear-%{_pearname}
Version:	0.9.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	afb06c6975bd1a53c97a8db4fd5d3546
URL:		http://pear.php.net/package/Math_Stats/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Classes to calculate statistical parameters of numerical arrays of
data. The data can be in a simple numerical array, or in a cummulative
numerical array. A cummulative array, has the value as the index and
the number of repeats as the value for the array item, e.g. $data =
array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3). Nulls can be rejected, ignored
or handled as zero values.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet zawiera klasy służące do obliczania parametrów
statystycznych z tablic danych. Dane mogą być w zwykłej tablicy
numerycznej lub w tablicy skumulowanej. Tablica skumulowana zawiera
indeksy i liczby wystąpień wartości dla elementu tablicy, np. $data =
array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3). Puste elementy mogą być
odrzucone, ignorowane lub taktowane jako wartości zerowe.

Ta klasa ma w PEAR status: %{_status}.


%prep
%pear_package_setup

mv docs/%{_pearname}/docs/examples .

mv .%{php_pear_dir}/contrib .
mv .%{php_pear_dir}/data/Math_Stats/contrib/ignatius_reilly/* contrib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# tests should not be packaged
rm -rf $RPM_BUILD_ROOT%{php_pear_dir}/tests/%{_pearname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/* contrib
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Math/Stats.php

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Math_Stats.spec,v $
Revision 1.26  2010/10/09 16:16:31  glen
- up to 0.9.1, drop tests

Revision 1.25  2008/01/31 12:17:05  glen
- rel 4

Revision 1.24  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.22  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.21  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.20  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.17  2005/10/27 18:48:57  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.16  2005/10/05 20:29:01  glen
- rel .2

Revision 1.15  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.14  2004/12/05 11:29:30  adamg
- release .1

Revision 1.13  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.12  2003/10/07 20:55:15  adamg
- do not use macros in URL

Revision 1.11  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.10  2003/06/14 09:23:39  adamg
- cosmetics

Revision 1.9  2003/06/12 12:14:46  adamg
- updated to 0.9.0beta3

Revision 1.8  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.7  2003/05/28 08:58:42  adamg
- massive attack: added source0-md5

Revision 1.6  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/02 16:09:22  blues
- added status information

Revision 1.4  2002/10/14 23:45:47  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.3  2002/07/23 15:54:27  kloczek
- release 2.

Revision 1.2  2002/07/23 14:00:09  qboosh
- pl description

Revision 1.1  2002/07/17 13:30:57  blues
- initial release
